FROM archlinux as builder

RUN pacman -Syy  \
    && pacman -S --noconfirm go dart-sass icu

COPY . /app
WORKDIR /app

RUN go run .

FROM nginx:alpine

RUN rm -rf /usr/share/nginx/html/

COPY --from=builder /app/build/ /usr/share/nginx/html/

EXPOSE 80
